package fr.shortcircuit.gui;

import java.awt.BorderLayout;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.Collection;
import java.util.Map;

import javax.swing.JDesktopPane;
import javax.swing.JFrame;

import fr.shortcircuit.model.ProductElement;
import fr.shortcircuit.xml.MySaxReflecter;

/** 
 * @author Dimitri Dean DARSEYNE (D3), 
 * Published by Short-Circuit under Creative Commons (CC) Licensing: 
 * Authorship/Paternity, NO Commercial Use, NO Derivative
 * Please check for more informations:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/
 *
 * Auteur Dimitri Dean DARSEYNE (D3),
 * Publié par Short-Circuit sous license Creative Commons (CC):
 * Paternité, PAS d'Utilisation Commerciale, pas de Dérivés/Modifications
 * Pour plus d'informations, se rendre sur:
 * http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
 * 
 * @since Short-Circuit 1999
 */

public class DesktopWindowView extends JFrame implements IXMLViewConstants
{
	public JDesktopPane				desk;	

	public SearchUI					searchUI;

	
	
	public DesktopWindowView(MySaxReflecter	saxReflectedParser)
	{
		super("Search UI");

		createDesktopPane();
		
		createSearchUI(desk, saxReflectedParser.getCollectionElt(), saxReflectedParser.getMapType(), saxReflectedParser.getMapGenre());
	}

	public void createDesktopPane()
	{	 
		this.desk			= new JDesktopPane();
		
		this.getContentPane().add(desk, BorderLayout.CENTER);
		
		desk.putClientProperty("JDesktopPane.dragMode", "faster");

		this.setDefaultCloseOperation(EXIT_ON_CLOSE);
	}

 	public void createSearchUI(JDesktopPane	desk, Collection<ProductElement> collectionElt, Map<String, Collection<ProductElement>> mapType, Map<String, Collection<ProductElement>> mapGenre)
	{
 		searchUI = new SearchUI(desk, collectionElt, mapType, mapGenre);					 		
 	}


}
